<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=na, initial-scale=1.0">
    <link rel="stylesheet" href="documentation.css">

<link>

@import
<link rel="preconnect" href="https://fonts.googleapis.com">
<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
<link href="https://fonts.googleapis.com/css2?family=Oswald:wght@600&family=Roboto:wght@400;500;700&family=Yanone+Kaffeesatz:wght@500&display=swap" rel="stylesheet">
    <title>Document</title>
</head>
<body>
    <div class="wrapper">
        <nav class="nav-conteiner">
            <h1>
                CSS Документація
            </h1>
            <a href="#1">Block</a>
            <a href="#2">Inline</a>
            <a href="#3">Inline-block</a>
            <a href="#4">Inline-table</a>
            <a href="#5">Inline-flex</a>
            <a href="#6">Flex</a>
            <a href="#7">Grid</a>
            <a href="#8">Inline-grid</a>
            <a href="#9">List-item</a>
            <a href="#10">None</a>
            <a href="#11">Run-in</a>
            <a href="#12">Table</a>
            <a href="#13">Table-caption</a>
            <a href="#14">Table-cell</a>
            <a href="#15">Table-column-group</a>
            <a href="#16">Table-column</a>
            <a href="#17">Table-footer-group</a>
            <a href="#18">Table-header-group</a>
            <a href="#19">Table-row</a>
            <a href="#20">Table-row-group</a>
            <a href="#21">Initial</a>
            <a href="#22">Inherit</a>
        </nav>
        <div class="content">
            <h3 id="1">Block</h3>
            <p>Елемент показується як блоковий. Вказавши це значення для елемента &lt;span&gt; - він почне вести себе як блоковий, тобто, його вміст буде завжди починатися з нового рядка.</p>
            <h3 id="2">Inline</h3>
            <p>	Елемент відображається як рядковий (&lt;span&gt;). Значення inline скасовує особливість блокових елементів завжди починатися з нового рядка.</p>
            <h3 id="3">Inline-block</h3>
            <p>Це значення створює блоковий елемент, який поводить себе подібно рядковому елементу. Його внутрішня частина форматується як у блокового елемента, а сам елемент - як рядковий. Так себе поводить елемент &lt;img&gt;.</p>
            <h3 id="4">Inline-table</h3>
            <p>Визначає, що елемент є таблицею &lt;table&gt; , але при цьому таблиця поводить себе як рядковий елемент і обтікається іншими елементами.</p>
            <h3 id="5">Inline-flex</h3>
            <p>	Елемент поводиться як рядковий і викладає вміст згідно флекс-моделі. З'явився тільки у CSS3.</p>
            <h3 id="6">Flex</h3>
            <p>Елемент поводиться як блоковий і викладає вміст згідно флекс-моделі</p>
            <h3 id="7">Grid</h3>
            <p>Відображає елемент як контейнер сітки на рівні блоку</p>
            <h3 id="8">Inline-grid</h3>
            <p>Відображає елемент як контейнер сітки вбудованого рівня</p>
            <h3 id="9">List-item</h3>
            <p>Елемент поводить себе так само як елемент &lt;li&gt;.</p>
            <h3 id="10">None</h3>
            <p>Приховує елемент. Макет формується, немов елемента і не було. Зробити видимим елемент можна за допомогою скриптів. При цьому відбувається переформатування даних на сторінці з урахуванням знову доданого елемента.</p>
            <h3 id="11">Run-in</h3>
            <p>Встановлює елемент як блоковий або рядковий залежно від контексту.</p>
            <h3 id="12">Table</h3>
            <p>Надає елементу елементу якостей таблиці &lt;table&gt;.</p>
            <h3 id="13">Table-caption</h3>
            <p>Задає заголовок таблиці подібно застосуванню &lt;caption&gt;</p>
            <h3 id="14">Table-cell</h3>
            <p>Вказує, що елемент являє собою елемент таблиці (&lt;td> або &ltth&gt;)</p>
            <h3 id="15">Table-column-group</h3>
            <p>Елемент поводить себе ніби він елемент &lt;colgroup&gt;.</p>
            <h3 id="16">Table-column</h3>
            <p>Елемент поводить себе ніби він елемент &lt;col&gt;.</p>
            <h3 id="17">Table-footer-group</h3>
            <p>Використовується для зберігання однієї або декількох рядків комірок, які відображаються в самому низу таблиці. За своєю дією схожий з роботою &lt;tfoot&gt;</p>
            <h3 id="18">Table-header-group</h3>
            <p>Елемент призначений для зберігання одного чи кількох рядків комірок, які представлені у верхній частині сторінки. За своєю дією схожий з роботою &lt;thead&gt;</p>
            <h3 id="19">Table-row</h3>
            <p>Елемент відображається як рядок таблиці &lt;tr></tr&gt;</p>
            <h3 id="20">Table-row-group</h3>
            <p>Елемент аналогічний дії елемента &lt;tbody&gt;.</p>
            <h3 id="21">Initial</h3>
            <p>Встановлює властивість у значення без задання</p>
            <h3 id="22">Inherit</h3>
            <p>Вказує на спадковість властивості від свого батьківського елемента</p>
        </div>
    </div>
</body>
</html>